# BnsReadOnlyOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- BnsReadOnlyOptions

## Index

### Properties

- functionArgs
- functionName
- network
- senderAddress

## Properties

### functionArgs

functionArgs: ClarityValue []

- Defined in packages/bns/src/index.ts:92

### functionName

functionName: string

- Defined in packages/bns/src/index.ts:91

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:94

### senderAddress

senderAddress: string

- Defined in packages/bns/src/index.ts:93

Generated using TypeDoc